# Contributing to Mosaico

Thank you for your interest in contributing to Mosaico! We welcome contributions from the community to help improve and grow this open-source video generation framework.

## Getting Started

1. Fork and clone the repository
2. Install uv
3. Run `make install` to install dependencies
4. Run `make test` to run unit tests
5. Run `make format` to format code
6. Run `make lint` to lint code
7. run `make docs` to build docs and `make docs-serve` to serve docs locally
8. You're now set up to start contributing!

## Submitting Changes

1. Ensure all tests pass and the code is properly formatted.
2. Update the documentation if necessary.
3. Add your changes to the `CHANGELOG.md` file under the "Unreleased" section.
4. Push your changes and create a pull request with a clear description of the changes and their purpose.

## Reporting Issues

If you find a bug or have a suggestion for improvement, please open an issue on the GitHub repository. Provide as much detail as possible, including steps to reproduce the issue if applicable.

## Code of Conduct

Please note that this project is released with a Contributor Code of Conduct. By participating in this project you agree to abide by its terms.

## License

By contributing to Mosaico, you agree that your contributions will be licensed under the project's license.

Thank you for contributing to Mosaico!
