# Contributing

We welcome contributions from the community to help improve and expand this open source video generation framework.

## Getting Started

1. Fork and clone the repository
2. Install [uv](https://docs.astral.sh/uv/getting-started/installation/)
3. Run the following commands:
   - `make install` to install dependencies
   - `make test` to run unit tests
   - `make format` to format code
   - `make lint` to analyze code
   - `make docs` to generate documentation
   - `make docs-serve` to serve documentation locally

Now you're ready to start contributing!

## Submitting Changes

1. Ensure all tests pass and code is properly formatted
2. Update documentation as needed
3. Submit your changes and create a pull request with:
    - Clear description of changes
    - Purpose and motivation
    - Any related issues
4. Respond to review feedback promptly

## Reporting Issues

If you find a bug or have a feature suggestion:

1. Check existing issues first
2. Open a new issue with:
    - Clear description
    - Steps to reproduce (for bugs)
    - Expected vs actual behavior
    - Environment details
    - Screenshots/examples if applicable

## Development Guidelines

- Write clear, documented code
- Follow existing code style
- Add tests for new features
- Keep PRs focused and atomic
- Document significant changes

## License

By contributing to Mosaico, you agree that your contributions will be licensed under the project's license (see [LICENSE file](https://github.com/folhalab/mosaico/LICENSE.md)).
